'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateCommands = generateCommands;

var _path = require('path');

var _fsExtra = require('fs-extra');

function generateCommands(program, config) {
  (0, _fsExtra.readdirSync)((0, _path.join)(__dirname)).forEach(function (file) {
    if (file !== 'index.js') {
      require('./' + file).default(program, config);
    }
  });

  return program;
}

exports.default = generateCommands;