#!/usr/bin/env node
'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _package = require('../package.json');

var _util = require('./util');

var _commands = require('./commands');

var _commands2 = _interopRequireDefault(_commands);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const config = (0, _util.getConfig)();

(0, _commands2.default)(_commander2.default, config);

_commander2.default.version(_package.version).usage('<command> [options]').parse(process.argv);

// Run help if no command is provided
if (!process.argv.slice(2).length) {
  (0, _util.printLogo)();
  _commander2.default.outputHelp();
}